%define upstream_name Class-Prototyped
%define upstream_version 1.13

%global __requires_exclude perl\\(GraphViz\\)

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 7
Summary:        Fast prototype-based OO programming in Perl
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TE/TEVERETT/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl(Module::Build)
# Run-time:
BuildRequires:  perl(Carp)
# GraphViz not used for tests
# IO::File not used for tests
BuildRequires:  perl(strict)
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test)

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude?__provides_exclude|}^perl\\(My[^\\)]*Class\\)$

%description
This package provides for efficient and simple prototype-based programming
in Perl. You can provide different subroutines for each object, and also
have objects inherit their behavior and state from another object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Documentation and libraries should not be executable
chmod -x perf/* examples/* Changes lib/Class/*.pm lib/Class/Prototyped/*

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README perf/ examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.130.0-7.mga9
+ Revision: 1802509
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.130.0-6.mga8
+ Revision: 1493549
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.130.0-5.mga7
+ Revision: 1266485
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.130.0-4.mga6
+ Revision: 1023991
- Rebuild for perl 5.22.2

* Thu Mar 31 2016 shlomif <shlomif> 1.130.0-3.mga6
+ Revision: 997027
- Add an exclude on GraphViz - it is not necessary

* Fri Feb 19 2016 umeabot <umeabot> 1.130.0-2.mga6
+ Revision: 968905
- Mageia 6 Mass Rebuild

* Fri Jul 24 2015 sander85 <sander85> 1.130.0-1.mga6
+ Revision: 856876
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.13-3.mga5
+ Revision: 742276
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.13-2.mga5
+ Revision: 731896
- relax requires

* Tue Sep 30 2014 tv <tv> 1.13-1.mga5
+ Revision: 731885
- imported package perl-Class-Prototyped


* Tue Sep 30 2014 Thierry Vignaud <tv@mageia.org> 1.13-1.mga5
- import from FC

* Mon Sep 02 2013 Petr Pisar <ppisar@redhat.com> - 1.13-1
- 1.13 bump

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.11-16
- Perl 5.18 rebuild
- Work around hash randomization (CPAN RT#84317)
- Modernize spec file

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Petr Pisar <ppisar@redhat.com> - 1.11-13
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 22 2011 Petr Pisar <ppisar@redhat.com> - 1.11-11
- RPM 4.9 dependency filtering added

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.11-10
- Perl mass rebuild

* Mon Feb 14 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.11-9
- fix broken filter

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.11-7
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.11-6
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1.11-5
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar  9 2009 Lubomir Rintel <lkundrak@v3.sk> 1.11-3
- Fix permissions
- Fix requires/provides

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.11-1
- 1.11

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.10-3
- rebuild for new perl

* Mon Apr 30 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.10-2
- bump

* Mon Apr 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.10-1
- Specfile autogenerated by cpanspec 1.70.
